curl --request GET \
--url https://api.nocotax.app/billing_cycles/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/billing_cycles/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/billing_cycles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/billing_cycles/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/billing_cycles/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/billing_cycles/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/billing_cycles/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "bc_1792060720409516ac81b4",
"livemode": false,
"object": "billing_cycle",
"is_default": true,
"flow": "COMMISSIONS",
"period": "MONTHLY",
"period_day": 8,
"period_weekday": null,
"created_at": "2026-10-15T10:38:40.189Z",
"updated_at": "2026-10-15T10:38:40.189Z"
}Retrieve a BillingCycle
Retrieves an BillingCycle for a given ID.
curl --request GET \
--url https://api.nocotax.app/billing_cycles/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/billing_cycles/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/billing_cycles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/billing_cycles/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/billing_cycles/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/billing_cycles/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/billing_cycles/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "bc_1792060720409516ac81b4",
"livemode": false,
"object": "billing_cycle",
"is_default": true,
"flow": "COMMISSIONS",
"period": "MONTHLY",
"period_day": 8,
"period_weekday": null,
"created_at": "2026-10-15T10:38:40.189Z",
"updated_at": "2026-10-15T10:38:40.189Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
id
Response
successful
A billing cycle defines how and when commissions or purchase orders are aggregated and invoices are generated. You can subscribe multiple suppliers and customers to a given billing cycle
billing_cycle If you have several billing cycles, the one that is used by default if an ID is not specified
Whether the billing cycle is meant to aggregate commissions or purchase orders
COMMISSIONS, PURCHASES Specifies billing cycle frequency. Either ON_DEMAND, DAILY, WEEKLY, MONTHLY.
ON_DEMAND, DAILY, WEEKLY, MONTHLY If period=MONTHLY, the day of the month the billing cycle runs. Must be between 1 and 31.
If period=WEEKLY, the day of the week the billing cycle runs. Must be between 0=SUNDAY and 6=SATURDAY.
